Package org.eclipse.emf.cdo.common.branch

# Class CDOBranchPointRef

java.lang.Object
org.eclipse.emf.cdo.common.branch.CDOBranchPointRef

All Implemented Interfaces:
  `Serializable`

public final class CDOBranchPointRef extends Object implements Serializable
References a `CDOBranchPoint`.

Since:
  4.10
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CDOBranchPointRef.Provider`
Provides `branch point references`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BASE`
`static final String`
`HEAD`
`static final CDOBranchPointRef`
`MAIN_HEAD`
`static final String`
`URI_SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`CDOBranchPointRef(String uri)`
`CDOBranchPointRef(String branchPath, long timeStamp)`
`CDOBranchPointRef(CDOBranchPoint branchPoint)`
`CDOBranchPointRef(CDOBranchRef branchRef, long timeStamp)`
`CDOBranchPointRef(CDODataInput in)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getBranchPath()`
`CDOBranchRef`
`getBranchRef()`
`long`
`getTimeStamp()`
`String`
`getTimeStampSpec()`
`String`
`getURI()`
`int`
`hashCode()`
`boolean`
`isBase()`
`boolean`
`isHead()`
`CDOBranchPoint`
`resolve(CDOBranchManager branchManager)`
`String`
`toString()`
`void`
`write(CDODataOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### MAIN_HEAD

public static final CDOBranchPointRef MAIN_HEAD

Since:
  4.12

### URI_SEPARATOR

public static final String URI_SEPARATOR

See Also:
  - Constant Field Values

### BASE

public static final String BASE

See Also:
  - Constant Field Values

### HEAD

public static final String HEAD

See Also:
  - Constant Field Values

## Constructor Details

### CDOBranchPointRef

public CDOBranchPointRef(CDOBranchPoint branchPoint)

### CDOBranchPointRef

public CDOBranchPointRef(CDOBranchRef branchRef, long timeStamp)

Since:
  4.12

### CDOBranchPointRef

public CDOBranchPointRef(String branchPath, long timeStamp)

### CDOBranchPointRef

public CDOBranchPointRef(String uri)

### CDOBranchPointRef

public CDOBranchPointRef(CDODataInput in) throws IOException

Throws:
  `IOException`

## Method Details

### write

public void write(CDODataOutput out) throws IOException

Throws:
  `IOException`

### getURI

public String getURI()

### getBranchRef

public CDOBranchRef getBranchRef()

Since:
  4.12

### getBranchPath

public String getBranchPath()

### getTimeStamp

public long getTimeStamp()

### getTimeStampSpec

public String getTimeStampSpec()

### isBase

public boolean isBase()

### isHead

public boolean isHead()

### resolve

public CDOBranchPoint resolve(CDOBranchManager branchManager)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`